import request from '@/utils/httpRequest';
import { FINANCE_PATH as prefix } from "../../AppPath";

export default class ReportReviewService {
  list (type) {
    return request({
      url: prefix + '/auditSheet/type/prooList',
      method: 'get',
      params: {type: type}
    })
  }
  save (param) {
    return request({
      url: prefix + '/projectReport/review/saveForm',
      method: 'post',
      data: param
    })
  }
  updateReviewStatysByReportId (data) {
    return request({
      url: prefix + '/projectReport/review/updateReviewStatysByReportId',
      method: 'post',
      data: data
    })
  }
  queryByReportId (id) {
    return request({
      url: prefix + '/projectReport/review/queryByReportId',
      method: 'get',
      params: {id: id}
    })
  }
  getProcessStatus (id) {
    return request({
      url: prefix + '/projectReport/review/getProcessStatus',
      method: 'get',
      params: {procInsId: id}
    })
  }
  getHaveReportNo (id) {
    return request({
      url: prefix + '/projectReport/review/getHaveReportNo',
      method: 'get',
      params: {reportId: id}
    })
  }
  saveReportNo (id) {
    return request({
      url: prefix + '/projectReport/review/saveReportNo',
      method: 'get',
      params: {reportId: id}
    })
  }
}
